
body .wrapper {
  max-width: -webkit-calc(900px -(30px* 2)) !important;
  max-width: calc(960px - 30px* 2) !important;
}
body {color: #777 !important;}
.svg-icon {
  vertical-align: middle !important;
}
.pgc-img img {
  text-align: center!important;
}
.post-content li{padding:4px 0;margin-left:4px;list-style-type: square !important;}
.post-content   li {
 list-style: none !important;  /* 确保禁用原生图标 */
  position: relative;
  padding-left: 25px;           /* 加大间距，防止方块和文字重叠 */
  line-height: 1.5;             /* 保证行高，给垂直居中留空间 */
}

.post-content li::before {
content: "";                  /* 必须是英文双引号 */
  position: absolute;
  left: 6px;                    /* 往右挪 5px，防止贴边消失 */
  top: 50%;
  transform: translateY(-50%);

  width: 4px;                  /* 稍微调大一点方便观察 */
  height: 4px;
  background-color: #999;    /* 鲜艳的红色 */
  
  /* 强制显示：防止被某些全局样式重置 */
  display: block;
}
.Section2 li{padding:2px 0;margin-left:22px;list-style-type: square!important;}
body hr {
  background-color: rgb(225, 228, 232);
  height: 0.25em;
  border-width: 0px;
  border-style: initial;
  border-color: initial;
  border-image: initial;
  margin: 24px 0px;
  padding: 0px;
}

body hr {
  border-bottom-color: rgb(238, 238, 238);
}
a {color:#555}
a:hover {text-decoration: none;}
h1, h2, h3, h4, h5, h6, p, blockquote, pre, ul, ol, dl, figure, .highlight {
  margin-bottom: 5px;margin-top: 5px;
}
ul, ol {
  margin-left: 40px;
}
.footer-col-3 {
  width: -webkit-calc(55% -(30px / 2));
  width: calc(55% - 30px / 2) !important;
}
.footer-col-1 {
  width: -webkit-calc(25% -(30px / 2)) !important;
  width: calc(25% - 30px / 2) !important;
}
pre, code {
  font-size: 15px;
  scrollbar-color: #D3D1CB rgba(0, 0, 0, 0);
  border: 0px solid #e8e8e8!important;
  border-radius: 3px;
  background-color: #f9f9f9 !important;
}
pre {
  white-space: pre-wrap!important;
  word-wrap: break-word!important;
}
#xtable  {margin: -10px 40px 0 40px!important;padding:0!important}
.post-header {
  margin-bottom: 20px!important;
}
.post-content h2 {
  font-size: 32px;
  margin-top: 18px!important;
}
blockquote p{font-size:15px!important;font-style: normal!important;margin: 22px 0;}
h2 {font-size: 1.2em!important;}
pre {
  padding: 18px 22px!important;
  overflow-x: auto;
}
/* 图片放大功能的CSS */
.image-modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}
.site-header {
    background: no-repeat center center;
    background-attachment: scroll;
    height: 60px;
    background-size: cover;
    background-image: url(/assets/head.jpg);
}
.site-title, .site-title:visited {
    color: #fff;
}
.site-title:hover {
    color: #ddd;
}
.site-nav .page-link {
    color: #ffff;
}
.page-link:hover {
    color: #ddd;
}
.modal-content {
  margin: auto;
  display: block;
  max-width: 90%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -10%);
}

.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

.post-title {
  font-size: 32px!important;
  letter-spacing: -1px;
  line-height: 1;
  margin-bottom:20px !important;
  color: rgb(51, 51, 51);
}
.post-meta {
  font-size: 16px;
  line-height: 20px;
  color: #707070!important;
}

.Section2 {margin-bottom:20px;}

.post-content hr {    
  display: block!important;
  background-color: #e1e4e8;
  border: 0;
  height: .25em;
  margin: 24px 0;
  padding: 0;}

h1 {font-size: 22px !important;}
h2 {font-size: 18px!important; font-weight: 600!important;}
h3 {font-size: 16px!important; font-weight: 500!important;}

.pagination {margin-top:20px;}